Index: protocols/yahoo/libyahoo2.c
===================================================================
--- protocols/yahoo/libyahoo2.c	(revision 509cf60140e5d757c79558a7b39145fe3c0cb2b5)
+++ protocols/yahoo/libyahoo2.c	(revision 4d82e50a6bdc15ed39723c1dac23027b83330be1)
@@ -119,9 +119,4 @@
 	va_end(ap);
 	return YAHOO_CALLBACK(ext_yahoo_log) ("%s", out);
-}
-
-int yahoo_connect(char *host, int port)
-{
-	return YAHOO_CALLBACK(ext_yahoo_connect) (host, port);
 }
 
@@ -3581,8 +3576,10 @@
 }
 
+#if 0
 void yahoo_send_buzz(int id, const char *from, const char *who)
 {
 	yahoo_send_im(id, from, who, "<ding>", 1, 0);
 }
+#endif
 
 void yahoo_send_im(int id, const char *from, const char *who, const char *what,
@@ -3726,4 +3723,5 @@
 }
 
+#if 0
 void yahoo_get_list(int id)
 {
@@ -3745,4 +3743,5 @@
 	}
 }
+#endif
 
 static void _yahoo_http_connected(int id, void *fd, int error, void *data)
@@ -3863,5 +3862,4 @@
 		_yahoo_http_post_connected, yad);
 }
-#endif
 
 void yahoo_set_identity_status(int id, const char *identity, int active)
@@ -3903,4 +3901,5 @@
 	}
 }
+#endif
 
 void yahoo_keepalive(int id)
@@ -3920,4 +3919,5 @@
 }
 
+#if 0
 void yahoo_chat_keepalive(int id)
 {
@@ -3937,4 +3937,5 @@
 	yahoo_packet_free(pkt);
 }
+#endif
 
 void yahoo_add_buddy(int id, const char *who, const char *group,
@@ -4029,4 +4030,5 @@
 }
 
+#if 0
 void yahoo_ignore_buddy(int id, const char *who, int unignore)
 {
@@ -4075,4 +4077,5 @@
 	yahoo_packet_free(pkt);
 }
+#endif
 
 void yahoo_change_buddy_group(int id, const char *who, const char *old_group,
@@ -4103,4 +4106,5 @@
 }
 
+#if 0
 void yahoo_group_rename(int id, const char *old_group, const char *new_group)
 {
@@ -4154,4 +4158,5 @@
 	yahoo_packet_free(pkt);
 }
+#endif
 
 void yahoo_conference_invite(int id, const char *from, YList *who,
Index: protocols/yahoo/yahoo.c
===================================================================
--- protocols/yahoo/yahoo.c	(revision 509cf60140e5d757c79558a7b39145fe3c0cb2b5)
+++ protocols/yahoo/yahoo.c	(revision 4d82e50a6bdc15ed39723c1dac23027b83330be1)
@@ -570,8 +570,4 @@
 }
 
-void ext_yahoo_got_ignore( int id, YList *igns )
-{
-}
-
 void ext_yahoo_got_identities( int id, YList *ids )
 {
@@ -814,11 +810,4 @@
 }
 
-/* Because we don't want asynchronous connects in BitlBee, and because
-   libyahoo doesn't seem to use this one anyway, this one is now defunct. */
-int ext_yahoo_connect(const char *host, int port)
-{
-	return -1;
-}
-
 static void byahoo_accept_conf( void *data )
 {
Index: protocols/yahoo/yahoo2.h
===================================================================
--- protocols/yahoo/yahoo2.h	(revision 509cf60140e5d757c79558a7b39145fe3c0cb2b5)
+++ protocols/yahoo/yahoo2.h	(revision 4d82e50a6bdc15ed39723c1dac23027b83330be1)
@@ -121,5 +121,5 @@
 	void yahoo_send_im(int id, const char *from, const char *who,
 		const char *msg, int utf8, int picture);
-	void yahoo_send_buzz(int id, const char *from, const char *who);
+//	void yahoo_send_buzz(int id, const char *from, const char *who);
 /* if type is true, send typing notice, else send stopped typing notice */
 	void yahoo_send_typing(int id, const char *from, const char *who,
Index: protocols/yahoo/yahoo2_callbacks.h
===================================================================
--- protocols/yahoo/yahoo2_callbacks.h	(revision 509cf60140e5d757c79558a7b39145fe3c0cb2b5)
+++ protocols/yahoo/yahoo2_callbacks.h	(revision 4d82e50a6bdc15ed39723c1dac23027b83330be1)
@@ -113,5 +113,5 @@
  * 	igns - the ignore list
  */
-	void YAHOO_CALLBACK_TYPE(ext_yahoo_got_ignore) (int id, YList *igns);
+//	void YAHOO_CALLBACK_TYPE(ext_yahoo_got_ignore) (int id, YList *igns);
 
 /*
@@ -678,5 +678,5 @@
  * 	a unix file descriptor to the socket
  */
-	int YAHOO_CALLBACK_TYPE(ext_yahoo_connect) (const char *host, int port);
+//	int YAHOO_CALLBACK_TYPE(ext_yahoo_connect) (const char *host, int port);
 
 /*
Index: protocols/yahoo/yahoo_httplib.c
===================================================================
--- protocols/yahoo/yahoo_httplib.c	(revision 509cf60140e5d757c79558a7b39145fe3c0cb2b5)
+++ protocols/yahoo/yahoo_httplib.c	(revision 4d82e50a6bdc15ed39723c1dac23027b83330be1)
@@ -62,4 +62,5 @@
 extern enum yahoo_log_level log_level;
 
+#if 0
 int yahoo_tcp_readline(char *ptr, int maxlen, void *fd)
 {
@@ -93,4 +94,5 @@
 	return (n);
 }
+#endif
 
 static int url_to_host_port_path(const char *url,
@@ -183,4 +185,5 @@
 }
 
+#if 0
 char *yahoo_urldecode(const char *instr)
 {
@@ -279,4 +282,5 @@
 	return (str);
 }
+#endif
 
 typedef void (*http_connected) (int id, void *fd, int error);
